function [t_rr] = zmerzavzot(h, amp, fgenerator, rozdilper, f_vz, polarizace)
% obstara vse potrebne ke zmereni a zobrazeni zaverne zotavovaci doby

global dev s vps fgen
t_rr = 0;

% spocitani poctu hodnot nutnych k mereni
[n_vzorek vzorku_celkem per_real] = prepocet_perioda_vzorkovani(1e9/fgenerator, rozdilper, 1e9/f_vz);

[data_zaver f_vz_zaver f_generator_zaver pocet_vzorku_zaver] = zmerZotDob(2, polarizace, vzorku_celkem, amp, 1/(1/fgenerator+rozdilper*1e-9) );

if polarizace == 0
    data_zaver = -data_zaver;
end
data_zaver = flipud(data_zaver);

% spocitani zotavovaci doby a vykresleni grafu (i mezi)
t_rr = zjisti_zot_dob_zav(data_zaver, polarizace, per_real, n_vzorek, h);

